Bug 706314 - chmsee fails to start due to not finding a compatible gecko version
chmsee fails to start due to not finding a compatible gecko version
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 11.4
Classification: openSUSE
Component: Other
Final
x86-64 openSUSE 11.4
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE GNOME
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-17 10:06 UTC by Timothy Johnston
Modified: 2012-04-23 08:09 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Johnston 2011-07-17 10:06:50 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:5.0) Gecko/20100101 Firefox/5.0

The version from the openSUSE-11.4-Oss repository does not support mozilla-xulrunner20 which is the listed dependency according to zypper. This is detected and the program fails to start giving a message if started from the terminal.
I fixed this by installing mozilla-xulrunner192. I assume changing the xulrunner dependency will fix this problem. I guess another option would be see if a new version supports 2.x.

P.S. Not sure if this needed a bug report just thought since its in a main repo someone might want to fix it and it appears that the KDE chm viewer is broken as well.

Reproducible: Always

Steps to Reproduce:
run chmsee
Actual Results:  
Fails to start warning and error messages:

* (chmsee:11798): WARNING **: GECKO_UTILS >>> Couldn't find a compatible GRE!


** ERROR **: Initialize html render engine failed!
aborting...

Expected Results:  
chmsee starts and runs as expected

Two cases of installing mozilla-xulrunner192 as successful workaround.
http://forums.opensuse.org/forums/english/get-technical-help-here/applications/462341-chmsee-fails-startup-kchmviewer-doesnt-work-either.html
Comment 2 Kirill Kirillov 2012-04-05 19:18:10 UTC
Is it possible to release update for chmsee based on mozilla-xulrunner20?
I've tried chmsee 1.3.1 from https://build.opensuse.org/package/show?package=chmsee&project=GNOME%3AApps and it works fine for me
Comment 4 Benjamin Brunner 2012-04-11 11:30:27 UTC
Kirill could you do an osc maintenancerequest please. Thanks.
Comment 5 Kirill Kirillov 2012-04-11 22:20:14 UTC
It doesn't work for me:
osc maintenancerequest home:kkirill:branches:openSUSE:11.4:Update chmsee openSUSE:11.4
Using target project 'openSUSE:Maintenance'
Server returned an error: HTTP Error 404: Not Found
home:kkirill:branches:openSUSE:11.4:Update/chmsee
Comment 6 Benjamin Brunner 2012-04-23 07:54:44 UTC
Update released for 11.4. Resolved fixed.
Comment 7 Swamp Workflow Management 2012-04-23 08:09:14 UTC
openSUSE-RU-2012:0543-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 706314
CVE References: 
Sources used:
openSUSE 11.4 (src):    chmsee-1.3.1.1-8.1